Bug 456281 - Review Request: xerces-j2 - Java XML parser
Review Request: xerces-j2 - Java XML parser
Status: CLOSED DUPLICATE of bug 226555
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 456337
  Show dependency treegraph
 
Reported: 2008-07-22 12:25 EDT by Victor G. Vasilyev
Modified: 2008-08-27 10:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 10:59:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor G. Vasilyev 2008-07-22 12:25:54 EDT
Spec URL: http://nbi.netbeans.org/files/documents/210/2048/xerces-j2.spec
SRPM URL: http://nbi.netbeans.org/files/documents/210/2049/xerces-j2-2.8.0-1.fc10.src.rpm
Description: 
Welcome to the future! Xerces2 is the next generation of high
performance, fully compliant XML parsers in the Apache Xerces family.
This new version of Xerces introduces the Xerces Native Interface (XNI),
a complete framework for building parser components and configurations
that is extremely modular and easy to program.

The Apache Xerces2 parser is the reference implementation of XNI but
other parser components, configurations, and parsers can be written
using the Xerces Native Interface. For complete design and
implementation documents, refer to the XNI Manual.

Xerces 2 is a fully conforming XML Schema processor. For more
information, refer to the XML Schema page.

Xerces 2 also provides a partial implementation of Document Object Model
Level 3 Core, Load and Save and Abstract Schemas [deprecated] Working
Drafts. For more information, refer to the DOM Level 3 Implementation
page.

This package is required for the NetBeans IDE 6.1
Comment 1 Victor G. Vasilyev 2008-07-31 13:11:57 EDT
This is my first contribution so I need a sponsor please.
Comment 2 Victor G. Vasilyev 2008-08-18 10:36:36 EDT
The second release is prepared for review.
Spec URL: http://nbi.netbeans.org/files/documents/210/2048/xerces-j2.spec
SRPM URL: http://nbi.netbeans.org/files/documents/210/2126/xerces-j2-2.8.0-2.fc10.src.rpm

Changes:
- Appropriate values of Group Tags are chosen from the official list
- Remove Epoch tag
- Remove Obsoletes tag
- Clean up versionless javadoc dir symlinking
- Add LICENSE to both demo and scripts packages
- Avoid use of macros in %%changelog
- Remove dangerous command in %%pre: rm -f %%{_javadir}/xerces.jar
- Change priority for alternatives
- The archive.apache.org is used to obtain sources

rpmlint shows no error and no warnings against all binary RPMs, but it shows 3 warnings against SRPM:
-------------------
xerces-j2.src:226: W: libdir-macro-in-noarch-package %dir %{_libdir}/gcj/%{name}
xerces-j2.src:227: W: libdir-macro-in-noarch-package %attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
xerces-j2.src:251: W: libdir-macro-in-noarch-package %attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-samples.jar.*
------------------

All warnings listed above are not issues, because all of them have relation to the gcj support, but the gcj support is turned off by default in the package specification. Note, all the libdir macros are enclosed within the macro %if %{gcj_support} ... %endif  and there is the %define gcj_support 0 at the start of the specification.
Comment 3 Lillian Angel 2008-08-27 10:36:25 EDT
xerces-j2 is already available in Fedora. If you need a version upgrade, you will have to request it from the xerces-j2 maintainer: Tom "spot" Callaway.

$ sudo yum --enablerepo=rawhide info xerces-j2
Loaded plugins: refresh-packagekit
rawhide                                                  | 2.4 kB     00:00     

Available Packages
Name       : xerces-j2
Arch       : i386
Version    : 2.7.1
Release    : 10.2.fc10
Size       : 7.9 M
Repo       : rawhide
Summary    : Java XML parser
URL        : http://xerces.apache.org/
License    : ASL 2.0
Description: Welcome to the future! Xerces2 is the next generation of high
           : performance, fully compliant XML parsers in the Apache Xerces
           : family. This new version of Xerces introduces the Xerces Native
           : Interface (XNI), a complete framework for building parser
           : components and configurations that is extremely modular and easy to
           : program.  The Apache Xerces2 parser is the reference implementation
           : of XNI but other parser components, configurations, and parsers can
           : be written using the Xerces Native Interface. For complete design
           : and implementation documents, refer to the XNI Manual.  Xerces 2 is
           : a fully conforming XML Schema processor. For more information,
           : refer to the XML Schema page.  Xerces 2 also provides a partial
           : implementation of Document Object Model Level 3 Core, Load and Save
           : and Abstract Schemas [deprecated] Working Drafts. For more
           : information, refer to the DOM Level 3 Implementation page.
Comment 4 Jason Tibbitts 2008-08-27 10:59:49 EDT
This package has been in Fedora for many years now.

*** This bug has been marked as a duplicate of bug 226555 ***

Note You need to log in before you can comment on or make changes to this bug.